{ config, lib, pkgs, user, ... }:

{
  programs.i3status-rust = {
    enable = true;
    bars = {
      default = {
        theme = "solarized-dark";
        icons = "awesome6";

        blocks = [
          {
            block = "net";
            format = " $icon { ($ssid) |}";
            click = [{
              button = "left";
              cmd = "${pkgs.iwgtk}/bin/iwgtk";
            }];
          }
          {
            block = "battery";
            missing_format = "";
            format = " $icon  {($time h) |}$percentage ";
          }
          {
            block = "time";
            interval = 60;
            format = " $icon $timestamp.datetime(f:'%a %d.%m %R') ";
          }
        ];
      };
    };
  };
}
